List part locks in a project
GET
/api/v1/projects/{projectId}/locks
const url = 'https://api.yggy.tech/api/v1/projects/example/locks?outcome=open';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.yggy.tech/api/v1/projects/example/locks?outcome=open' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Query Parameters
Section titled “Query Parameters ” limit
integer
offset
integer | null
outcome
string
Responses
Section titled “ Responses ”Locks
Media type application/json
object
locks
required
Array<object>
object
id
required
string
projectId
required
string
partLabel
required
string
disposition
required
string
lockedBy
required
string
assignees
required
Array<string>
lockedAt
required
string format: date-time
descriptionState
required
string
description
required
string | null
costStage
required
string
outcome
required
string
handoffHolder
required
string | null
handoffMissing
required
string | null
createdByName
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "locks": [ { "disposition": "nio", "descriptionState": "missing", "costStage": "in_field", "outcome": "open" } ]}Invalid request
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Forbidden
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Project not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}